Bug 28287

Summary: No way to find if suexec is enabled
Product: Apache httpd-2 Reporter: Joshua Slive <slive>
Component: mod_suexecAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: CLOSED FIXED    
Severity: normal    
Priority: P3    
Version: 2.1-HEAD   
Target Milestone: ---   
Hardware: Other   
OS: other   

Description Joshua Slive 2004-04-08 17:39:11 UTC
Contrary to 1.3 and to the suexec docs:
http://httpd.apache.org/docs-2.0/suexec.html#enable
there is no easy way to find out if suexec is enabled.
There is no message written to the error log, and no
mention of suexec in httpd -l or -v or -V (other than
the path to the suexec binary).

This makes it much harder to debug cgi problems.
Comment 1 André Malo 2004-04-24 19:45:03 UTC
Uhm, there's a message written into the error log, but unfortunately it may be
wrong.
After an accompanying APR patch (to determine the setuid bit) this is fixed in
2.1 now.
Comment 2 André Malo 2004-06-02 23:09:39 UTC
Fixed in latest APR/httpd.